<?php
/*
    This file is part of CSS:Portal.

    Written by Jonathan Levine <jxl180@gmail.com>
    Copyright 2009 Jonathan Levine
    
    CSS:Portal is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CSS:Portal is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CSS:Portal.  If not, see <http://www.gnu.org/licenses/>.
	
	The full copy of the GNU General Public License is saved as COPY in CSS:Portal's top directory.
*/

session_start();
require('includes/connect.inc.php');
if(file_exists('install/'))
{
	die('Once installation is complete, the install directory must be erased from the webserver.');
}
if(isset($_POST['submitlogin']))
{
	if($_POST['username']==NULL || $_POST['password']==NULL)
	{
		$error=1;
	}
	else
	{
		$error=0;
		$adminusername=stripslashes($_POST['username']);
		$adminusername=strip_tags($adminusername);
		$adminusername=mysql_real_escape_string($adminusername);
		$adminpassword=stripslashes($_POST['password']);
		$adminpassword=strip_tags($adminpassword);
		$adminpassword=mysql_real_escape_string($adminpassword);
		$adminpassword=md5($adminpassword);
		$sql="SELECT * FROM cssp_users WHERE username='". $adminusername ."' AND password='". $adminpassword ."' LIMIT 1";
		$query=mysql_query($sql);
		$count=mysql_num_rows($query);
		if($count!=0)
		{
			$_SESSION['username']=$adminusername;
			$sql="SELECT id FROM cssp_users WHERE username='". $adminusername ."' LIMIT 1";
			$query=mysql_query($sql);
			$_SESSION['id']=mysql_result($query,0);
			session_regenerate_id();
			header("location:admin.php");
		}
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>

<meta name="Description" content="Information architecture, Web Design, Web Standards." />
<meta name="Keywords" content="your, keywords" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="Distribution" content="Global" />
<meta name="Author" content="Erwin Aligam - ealigam@gmail.com" />
<meta name="Robots" content="index,follow" />
<script type="text/javascript" src="javascripts/prototype.js"></script>
<script type="text/javascript" src="javascripts/scriptaculous.js?load=effects"></script>
<script src="javascripts/scriptaculous.js" type="text/javascript"></script>
<script src="javascripts/modalbox/modalbox.js" type="text/javascript"></script>
<link rel="stylesheet" href="javascripts/modalbox/modalbox.css" type="text/css" media="screen" />
<link rel="stylesheet" href="images/Refresh.css" type="text/css" />

<title>CSS:Portal</title>

	
</head>

<body>
<!-- wrap starts here -->
<div id="wrap">
		
		<!--header -->
		<div id="header">			
				
			<h1 id="logo-text">CSS<span class="gray">Portal</span></h1>
				
			<form class="search" method="post" action="#">
				<?php include('includes/livetime.inc.php'); ?>
			</form>			
				
		</div>
		
		<!-- menu -->	
		<div  id="menu">
			<ul>
				<li><a href="index.php">Home</a></li>
				<li id="current"><a href="admin.php">Admin</a></li>
				<li><a href="index.html">Support</a></li>
				<li><a href="http://www.eventscripts.com">Eventscripts</a></li>
				<li><a href="http://forums.eventscripts.com/index.php">ES Forum</a></li>	
			</ul>
		</div>					
			
		<!-- content-wrap starts here -->
		<div id="content-wrap">
				
			<?php include('includes/sidemenu.inc.php'); ?>
				
<div id="main">
				
				<a name="main"></a>
  <h1>CSS:Portal</h1>

                <h2><li>Login</li></h2>
						<?php
          if(isset($count))
          {
              if($count==0)
              {
                  echo '<font color="red">Username/Password Incorrect!</font>';
              }
		  }
		  if(isset($error))
		  {
			  if($error==1)
              {
                  echo '<font color="red">All Fields Required!</font>';
              }
          }
          ?>
                    <form id="form1" method="post" action="login.php">
                      <p>Username:
                        <input name="username" type="text" class="textbox" id="textfield" />
                      </p>
                      <p>Password:
                        <input name="password" type="password" class="textbox" id="textfield2" />
                      </p>
                      <p>
                        <input name="submitlogin" type="submit" class="button" id="button" value="Login" />
                      </p>
                    </form>
                </li>
</h2>
			</div>
		
		<!-- content-wrap ends here -->	
		</div>
					
		<!--footer starts here-->
		<?php include('includes/footer.inc.php'); ?>

<!-- wrap ends here -->
</div>

</body>
</html>
